%global momorel 1

Summary: Autodir creates home, group directories for LDAP/NIS/SQL/local Unix accounts transparently
Name: autodir
Version: 0.99.9
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Daemons
URL: http://www.intraperson.com/autodir/
Source0: http://dl.sourceforge.net/sourceforge/intraperson/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: autodir-0.96.0-cflags.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libpcap
BuildRequires: libtool-ltdl-devel
PreReq: chkconfig

%description
Autodir offers a simple and effective means to create directories like home directories 
in a transparent manner. It relies on the autofs protocol for its operation.

%prep
%setup -q
%patch0 -p1 -b .cflags

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall

find %{buildroot} -name "*.la" -delete

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sbindir}/autodir
%{_libdir}/autodir/

%changelog
* Wed Jun 18 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.99.9-1m)
- update to 0.99.9

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.99.8-4m)
- rebuild against gcc43

* Sun Mar  2 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.99.8-3m)
- libtool-1.5.24

* Sun Mar  2 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.99.8-2m)
- rebuild against libtool-2.2

* Sat Mar  3 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.99.8-1m)
- up to 0.99.8

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.99.3-2m)
- delete libtool library

* Wed Aug  9 2006 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.99.3-1m)
- welcome to Momonga

